#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Oct  4 13:15:49 2017

@author: Alain
"""

import time

""" LECTURE DU FICHIER TEXTE """
fichier = open("GenomeTomatoBushy.txt")
# à compléter 

fichier.close()


""" Checksum """



""" REPLICATION """



""" Recherche naïve codon start """



""" Décodage ARN """
      



""" Base de données sqllite """

import sqlite3 
conn = sqlite3.connect('Genome.sqlite3')
cur = conn.cursor()

# à compléter

cur.close()    
conn.close()	


""" Ecriture de fichier texte """

res = open('GenomeProteine.txt', 'w', encoding='utf8')
# à compléter

res.close()

""" Classe Robot """

class Robot():
    def __init__(self):
        self.Resine = ""
        self.Ajout = ""
        self.AA = []
    
    def imprime(self):
        s = self.Resine
        if len(self.AA) == 0 and self.Resine != "":
            s = s + "Cl"
        else :
            for i in range(len(self.AA)):
                if i == 0 and self.Resine == "" :
                    s = "HOOC-"
                else : 
                    s = s + "CO-"
                s = s + "[" + self.AA[i] + "]-NH"
                if i == len(self.AA)-1:
                    s = s + "2"
                else:
                    s = s + "-"
        if self.Ajout != "":
            s = s + " + " + "HOOC-["+self.Ajout +"]-NH2"
        print(s)
    
    def preparer(self):
        self.Resine = "Polystère-CH2-"
        self.imprime()
    
    def prelever(self, aa):
        self.Ajout = aa
        self.imprime()
        
    def ajouter(self):
        self.AA.append(self.Ajout)
        self.Ajout = ""
        self.imprime()
    
    def decrocher(self):
        self.Resine = ""
        self.imprime()
        
        
""" commentaires à supprimer après création de proteine0
r = Robot()
r.preparer()
for i in range(len(proteine0)):
    r.prelever(proteine[len(proteine0)-1-i])
    r.ajouter()
r.decrocher()
"""


